xfs
[Top] [All Lists]

[PATCH] xfstests: mkfs scratch device in generic/294

To: xfs-oss <xfs@xxxxxxxxxxx>
Subject: [PATCH] xfstests: mkfs scratch device in generic/294
From: Eric Sandeen <sandeen@xxxxxxxxxx>
Date: Sun, 06 Oct 2013 15:42:31 -0500
Delivered-to: xfs@xxxxxxxxxxx
User-agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.8; rv:17.0) Gecko/20130801 Thunderbird/17.0.8
test 294 is using the scratch device w/o mkfs-ing it first,
this runs the risk of following a test which completely
fills the fs, causing 294 to fail.

add "rm -f $seqres.full" as well, it was growing on every run.

Signed-off-by: Eric Sandeen <sandeen@xxxxxxxxxx>
---

diff --git a/tests/generic/294 b/tests/generic/294
index fa7f339..3fa6ba2 100755
--- a/tests/generic/294
+++ b/tests/generic/294
@@ -48,6 +48,9 @@ _supported_fs generic
 _supported_os Linux
 _require_scratch
 
+rm -f $seqres.full
+_scratch_mkfs > $seqres.full 2>&1 || _fail "Could not mkfs scratch device"
+
 THIS_TEST_DIR=$SCRATCH_MNT/$seq.test
 
 _create_files()

<Prev in Thread] Current Thread [Next in Thread>